For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fuel products of a provider

Get fuel products of a provider

GET https://api.aviowiki.com/providers/{aid}/fuelProducts/all

Path Parameters

Name
Type
Description

aid*

String

Aviowiki ID of the provider

Headers

Name
Type
Description

Authorization

String

An API Token using Bearer authorization.

The detailed properties of the returned object can be found in the documentation of the Fuel Product data model.

[
  {
    "description": null,
    "type": "AVGAS_100LL",
    "unit": null,
    "currency": null,
    "price": null,
    "limitedAvailability": null,
    "minimumVolume": null,
    "maximumVolume": null,
    "selfService": null,
    "minimumHandlingWaiver": null,
    "parent": "PRV-PDEX-T9O2",
    "aid": "FPR-0AZX-VNJS"
  },
  {
    "description": null,
    "type": "JET_A1",
    "unit": "LTR",
    "currency": "EUR",
    "price": 0.5,
    "limitedAvailability": null,
    "minimumVolume": null,
    "maximumVolume": null,
    "selfService": null,
    "minimumHandlingWaiver": null,
    "parent": "PRV-PDEX-T9O2",
    "aid": "FPR-MF23-K97R"
  }
]

Occurs when an invalid request is made.

Last updated